Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.events.impl
Class ManagementNotificationImpl

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              com.bea.dsp.management.events.impl.ManagementNotificationImpl

All Implemented Interfaces:
  Classified, Detailed, LifecycleEvent, ManagementNotification, java.io.Serializable

    public class ManagementNotificationImpl

extends javax.management.Notification
implements ManagementNotification

See Also:
  Serialized Form
Exclude:

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.dsp.management.events.Classified
`Classified.Classification`

Nested classes/interfaces inherited from interface com.bea.dsp.management.events.LifecycleEvent
`LifecycleEvent.Kind`

Field Summary

Fields inherited from class javax.management.Notification
`source`

Method Summary
`Classified.Classification` | `getClassification()`
`java.lang.Object` | `getDetail()`
`java.lang.String` | `getInstanceName()`
`LifecycleEvent.Kind` | `getKind()`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getClassification

    public Classified.Classification getClassification()

  Specified by:
    `getClassification` in interface `Classified`

### getInstanceName

    public java.lang.String getInstanceName()

  Specified by:
    `getInstanceName` in interface `Classified`

### getKind

    public LifecycleEvent.Kind getKind()

  Specified by:
    `getKind` in interface `LifecycleEvent`

### getDetail

    public java.lang.Object getDetail()

  Specified by:
    `getDetail` in interface `Detailed`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.